# Type alias VMStruct

VMStruct: {
consistencyLevel: BigNumberish;
emitterAddress: BytesLike;
emitterChainId: BigNumberish;
guardianSetIndex: BigNumberish;
hash: BytesLike;
nonce: BigNumberish;
payload: BytesLike;
sequence: BigNumberish;
signatures: SignatureStruct[];
timestamp: BigNumberish;
version: BigNumberish;
}

#### Type declaration

- ##### consistencyLevel: BigNumberish

- ##### emitterAddress: BytesLike

- ##### emitterChainId: BigNumberish

- ##### guardianSetIndex: BigNumberish

- ##### hash: BytesLike

- ##### nonce: BigNumberish

- ##### payload: BytesLike

- ##### sequence: BigNumberish

- ##### signatures: SignatureStruct[]

- ##### timestamp: BigNumberish

- ##### version: BigNumberish

- Defined in ethers-contracts/Implementation.ts:51

Generated using TypeDoc